curl -X POST https://api.marsai.com/awards/5 \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"award_name": "Best Cinematography"
}'
{
"message": "Award créé",
"newAward": {
"id_award": 3,
"award_name": "Best Cinematography",
"id_movie": 5,
"createdAt": "2026-03-07T10:30:00Z",
"updatedAt": "2026-03-07T10:30:00Z"
}
}
curl -X POST https://api.marsai.com/awards/5 \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"award_name": "Best Cinematography"
}'
{
"message": "Award créé",
"newAward": {
"id_award": 3,
"award_name": "Best Cinematography",
"id_movie": 5,
"createdAt": "2026-03-07T10:30:00Z",
"updatedAt": "2026-03-07T10:30:00Z"
}
}
newAwardcurl -X POST https://api.marsai.com/awards/5 \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"award_name": "Best Cinematography"
}'
{
"message": "Award créé",
"newAward": {
"id_award": 3,
"award_name": "Best Cinematography",
"id_movie": 5,
"createdAt": "2026-03-07T10:30:00Z",
"updatedAt": "2026-03-07T10:30:00Z"
}
}
{
"error": "Tous les champs doivent être remplis"
}